# WarPluginConvention

API Documentation: | `WarPluginConvention`

### Properties

Property | Description
`webAppDir` | The web application directory.
`webAppDirName` | The name of the web application directory, relative to the project directory.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `webAppDir` (read-only)

The web application directory.

Default with `war` plugin:
  ``${project.projectDir}`/`${project.webAppDirName}``

#### `String` `webAppDirName`

The name of the web application directory, relative to the project directory.

Default with `war` plugin:
  `'src/main/webapp'`